package config

import (
	"github.com/urfave/cli/v2"
)

type FedConfig struct {
	AllowReplyCollectionUpdates bool
	AllowAutoAcceptFollowers    bool
}

var AllowReplyCollectionUpdatesFlag = cli.BoolFlag{
	Name:    "allow-reply-collection-updates",
	Usage:   "Allow users to turn on object reply collection updates.",
	EnvVars: []string{"ALLOW_REPLY_COLLECTION_UPDATES"},
	Value:   false,
}

var AllowAutoAcceptFollowersFlag = cli.BoolFlag{
	Name:    "allow-auto-accept-followers",
	Usage:   "Allow users to turn on automatically accepting follow requests.",
	EnvVars: []string{"ALLOW_AUTO_ACCEPT_FOLLOWERS"},
	Value:   true,
}

func NewFedConfig(cliCtx *cli.Context) (FedConfig, error) {
	cfg := FedConfig{
		AllowReplyCollectionUpdates: cliCtx.Bool("allow-reply-collection-updates"),
		AllowAutoAcceptFollowers:    cliCtx.Bool("allow-auto-accept-followers"),
	}
	return cfg, nil
}
